QGIS Application - Bug report #13848
Refreshing a vector layer does not change feature count
2015-11-17 10:45 PM - Mehmet Selim BILGIN

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.12.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21872
Description

In QGIS 2.12, normally when clicking Show feature count button on the right click menu of a vector layer, calculates layer's feature
count shows the number near the feature layer name in Layers Panel. If a layer that comes from a database it calculates correctly at first
time but in case of deleting or adding some rows from another applications, feature count doesnt change when clicking again Show
feature count button. It is strange that the changes (new features)are shown in QGIS canvas but not affects feature count.

Related issues:
Related to QGIS Application - Bug report # 13911: Zoom to layer fails using v... Closed 2015-11-30

History

#1 - 2015-12-06 07:53 AM - Sebastian Dietrich

Confirmed in master (commit:dc73fb2a09c6516b7a2149c49f6b62cd11ff83f9), using PostgreSQL.

| found that adding features worked, if they were shown on the canvas. Apparently QGIS notices that a feature it received for drawing is new and adds it to
its internal count.
Deleting features however does not reduce the feature count shown. The following does not help:

- zooming and panning

- disable and re-enable the show feature count option

- using the Refresh function in the Map Navigation Toolbar

What did help in my case was using the Filter... dialog and simply confirming the already present SQL filter.
See also #13911, which is basically the same but for the layer extent.

#2 - 2016-05-26 02:14 AM - Saber Razmjooei

- Category set to Vectors

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
